<?php

namespace Ardent\Undercurrent\Http;

class GenericRequest implements RequestInterface
{

    public function __construct(
        private readonly MethodEnum $method,
        private readonly string $uri,
        private readonly array  $body,
    )
    {
    }

    public function getMethod(): MethodEnum
    {
        return $this->method;
    }

    public function getUri(): string
    {
        return $this->uri;
    }

    public function getBody(): array
    {
        return $this->body;
    }
}