<?php

namespace Ardent\Undercurrent\Http;

use Ardent\Undercurrent\Attribute\Route;

class RouteConfig
{
    public function __construct(
        private readonly Route  $route,
        private readonly string $controller,
        private readonly string $method
    )
    {
    }

    public function getRoute(): Route
    {
        return $this->route;
    }

    public function getController(): string
    {
        return $this->controller;
    }

    public function getMethod(): string
    {
        return $this->method;
    }
}