<?php

namespace Ardent\Undercurrent\Http;

use Exception;

class RouteNotFoundException extends Exception
{
    public function __construct(RequestInterface $request)
    {
        parent::__construct(sprintf(
            'No controller found for uri: %s',
            $request->getUri()
        ));
    }
}